@echo off

:: Java - Environment variable check part
if exist "%JAVA_HOME%\bin\javaw.exe" goto javafound
echo ===============================================================================
echo ------- Mercury Java assistant ------------------------------------------------
echo ===============================================================================
echo.
echo   Let us check if Java is installed and
echo   also if the environment variable JAVA_HOME well defined.
echo.
echo -------------------------------------------------------------------------------
echo.
echo   If Java is installed, your version is:
echo.
java -version :: displays the version
echo -------------------------------------------------------------------------------

:: Java - Environment variable definition part
:: This is the part you need to modify if you edit this batch file
SET JAVA_HOME=C:\Program Files\Java\jre1.5.0_09\


:: Java - Last check part
if exist "%JAVA_HOME%\bin\javaw.exe" goto javaauto
echo.
echo   Java installed, for sure?
echo -------------------------------------------------------------------------------
echo.
echo   So, it is a different version from the one defined in this file.
echo.
echo   JAVA_HOME=%JAVA_HOME% is wrong
echo.
echo   Edit this file, search for "SET JAVA_HOME" (without echo in the line)
echo   Replace %JAVA_HOME% by the installation path of Java.
echo.
echo -------------------------------------------------------------------------------
echo.
pause
echo.
echo ===============================================================================
echo ------- Java not installed ? Find it on http://java.com -----------------------
echo ===============================================================================
echo.
echo End
pause
goto end

:: Java - Advice part
:javaauto
echo.
echo   Java is installed in
echo         %JAVA_HOME%
echo.
echo ===============================================================================
echo ------- Advice : Please, define your variable JAVA_HOME in Windows ------------
echo ===============================================================================
echo.
echo   Open the Windows "Panel of Configuration" - classic view
echo                      \-"System"
echo                        \-"Advanced"
echo                          \-"Environment variables"
echo                            \-"User variables"
echo.
echo   Create or Modify 'JAVA_HOME' with
echo                     %JAVA_HOME%
echo   Then OK, Apply, OK.
echo.
echo -------------------------------------------------------------------------------
echo.
pause
echo.
echo ===============================================================================
echo ------- Mercury Launch --------------------------------------------------------
echo ===============================================================================

:: Program Launch
:javafound

set classpath=lib/dMSN.jar;lib/idle.jar
set classpath=%classpath%;lib/JavaLibs-windows.jar;lib/liquidlnf.jar
set classpath=%classpath%;lib/looks-1.3b1.jar;lib/skinlf.jar
set classpath=%classpath%;lib/Skins.jar;lib/SpellCheck.jar
set classpath=%classpath%;lib/substance3-3-lite.jar;lib/upnp.jar;lib/VidConf-libs.jar;lib/wintray.jar
set JNIPATH=jni;jni/jmf

@"%JAVA_HOME%\bin\javaw.exe" -Dsubstancelaf.useDecorations -Dswing.aatext=true -Dfile.encoding=UTF8 -Dawt.useSystemAAFontSettings=lcd -Xms512M -Xmx512M -Djava.library.path=%JNIPATH% com.dMSN.Main


:end